#ifndef __SOCKETHANDLER_H__
#define __SOCKETHANDLER_H__

//////////////////////////////////////////////////////////////////
//
// ISpyUMain.h - Defines etc for ISpyU
// 
//   Copyright (C) 1998 Paul Holden
//   paulh@javigate.com
// 
//   File Created: 6  Nov 1998
//   Last Update: 16 Nov 1998
//
//   For more info and more recent version see:
//     http://www.javigate.com/ICQ/
//
//  Standard Disclaimer:
//  --------------------
//    Note that I am in no way affiliate with Mirabilis. I have found all these
//    information by tracing UDP packets (this complies with Mirabilis License
//    agreement). This information are unofficial and may be incorrect.
//
//    This program is provided "as is" and comes with no warranty,
//    express if implied. Use this program at you own risk. Yadda Yadda.
//

#include "ICQMsg.h"

// This is the port that the proxy listens on. You can change this to almost 
// anything you want.
#define DEFAULT_PROXY_PORT 5001				// No reason for this number - it was 5001 in the
											// example sockets code I had
									
#define DEFAULT_SPOOFSERV_PORT 4000			// ICQ servers typically use port 4000

BOOL InitWinSock(void);
void FiniWinSock(void);
BOOL InitClientSocket(HWND, char *);
BOOL InitServerSocket(HWND, char *, unsigned short, char *);
BOOL InitSpoofServerSocket(HWND, char *);

unsigned short GetProxyPort(void);
void SetProxyPort(unsigned short nNewPort);
unsigned short GetSpoofServPort(void);
void SetSpoofServPort(unsigned short nNewPort);

ICQMsg *ProcessClientSocket(HWND, char *);
ICQMsg *ProcessServerSocket(HWND, char *);
void ProcessSpoofServSocket(HWND, char *);

void SendToClientSocket(ICQMsg *, struct sockaddr_in *);
void SendToServerSocket(ICQMsg *, struct sockaddr_in *);
void SendUsingSpoofServSocket(ICQMsg *, struct sockaddr_in *);

#endif